USE [master]
GO
/****** Object:  Database [Telemer_DB]    Script Date: 20.01.2021 1:54:54 ******/

CREATE DATABASE [Telemer_DB]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'Telemer_DB', FILENAME = N'C:\Users\Admin\Telemer_DB.mdf' , SIZE = 8192KB , MAXSIZE = UNLIMITED, FILEGROWTH = 65536KB )
 LOG ON 
( NAME = N'Telemer_DB_log', FILENAME = N'C:\Users\Admin\Telemer_DB_log.ldf' , SIZE = 8192KB , MAXSIZE = 2048GB , FILEGROWTH = 65536KB )
GO

ALTER DATABASE [Telemer_DB] SET COMPATIBILITY_LEVEL = 130
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [Telemer_DB].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO
ALTER DATABASE [Telemer_DB] SET ANSI_NULL_DEFAULT ON 
GO
ALTER DATABASE [Telemer_DB] SET ANSI_NULLS ON 
GO
ALTER DATABASE [Telemer_DB] SET ANSI_PADDING ON 
GO
ALTER DATABASE [Telemer_DB] SET ANSI_WARNINGS ON 
GO
ALTER DATABASE [Telemer_DB] SET ARITHABORT ON 
GO
ALTER DATABASE [Telemer_DB] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [Telemer_DB] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [Telemer_DB] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [Telemer_DB] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [Telemer_DB] SET CURSOR_DEFAULT  LOCAL 
GO
ALTER DATABASE [Telemer_DB] SET CONCAT_NULL_YIELDS_NULL ON 
GO
ALTER DATABASE [Telemer_DB] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [Telemer_DB] SET QUOTED_IDENTIFIER ON 
GO
ALTER DATABASE [Telemer_DB] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [Telemer_DB] SET  DISABLE_BROKER 
GO
ALTER DATABASE [Telemer_DB] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [Telemer_DB] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [Telemer_DB] SET TRUSTWORTHY OFF 
GO
ALTER DATABASE [Telemer_DB] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO
ALTER DATABASE [Telemer_DB] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [Telemer_DB] SET READ_COMMITTED_SNAPSHOT OFF 
GO
ALTER DATABASE [Telemer_DB] SET HONOR_BROKER_PRIORITY OFF 
GO
ALTER DATABASE [Telemer_DB] SET RECOVERY FULL 
GO
ALTER DATABASE [Telemer_DB] SET  MULTI_USER 
GO
ALTER DATABASE [Telemer_DB] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [Telemer_DB] SET DB_CHAINING OFF 
GO
ALTER DATABASE [Telemer_DB] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO
ALTER DATABASE [Telemer_DB] SET TARGET_RECOVERY_TIME = 60 SECONDS 
GO
ALTER DATABASE [Telemer_DB] SET DELAYED_DURABILITY = DISABLED 
GO
ALTER DATABASE [Telemer_DB] SET QUERY_STORE = OFF
GO
USE [Telemer_DB]
GO
ALTER DATABASE SCOPED CONFIGURATION SET LEGACY_CARDINALITY_ESTIMATION = OFF;
GO
ALTER DATABASE SCOPED CONFIGURATION SET MAXDOP = 0;
GO
ALTER DATABASE SCOPED CONFIGURATION SET PARAMETER_SNIFFING = ON;
GO
ALTER DATABASE SCOPED CONFIGURATION SET QUERY_OPTIMIZER_HOTFIXES = OFF;
GO

USE [master]
GO
/* For security reasons the login is created disabled and with a random password. */
/****** Object:  Login [AdminTelemer]    Script Date: 24.01.2021 0:20:23 ******/
CREATE LOGIN [AdminTelemer] WITH PASSWORD=N'dfgJKLsdf10', DEFAULT_DATABASE=[Telemer_DB], DEFAULT_LANGUAGE=[us_english], CHECK_EXPIRATION=OFF, CHECK_POLICY=OFF
GO

CREATE LOGIN [user_princ] WITH PASSWORD=N'11111', DEFAULT_DATABASE=[Telemer_DB], DEFAULT_LANGUAGE=[us_english], CHECK_EXPIRATION=OFF, CHECK_POLICY=OFF
GO

USE [Telemer_DB]
GO
/****** Object:  User [AdminTelemer]    Script Date: 24.01.2021 0:18:59 ******/
CREATE USER [AdminTelemer] FOR LOGIN [AdminTelemer] WITH DEFAULT_SCHEMA=[dbo]
GO
/****** Object:  User [user_princ]    Script Date: 24.01.2021 0:18:59 ******/
CREATE USER [user_princ] FOR LOGIN [user_princ] WITH DEFAULT_SCHEMA=[dbo]
GO
ALTER ROLE [db_owner] ADD MEMBER [AdminTelemer]
GO
ALTER ROLE [db_datareader] ADD MEMBER [user_princ]
GO

USE [Telemer_DB]
GO
/****** Object:  Table [dbo].[consumers]    Script Date: 13.04.2021 19:38:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[consumers](
	[id] [nchar](10) NOT NULL,
	[is_legal] [bit] NULL,
	[personal_account] [nchar](15) NULL,
	[legal_title] [nchar](50) NULL,
	[legal_address] [nchar](120) NULL,
	[inn] [nchar](10) NULL,
	[name] [nchar](50) NULL,
	[surname] [nchar](30) NULL,
	[address] [nchar](120) NULL,
	[apartment_number] [nchar](10) NULL,
	[phone] [nchar](50) NULL,
	[email] [nchar](50) NULL,
	[status] [bit] NOT NULL,
	[date_time] [datetime] NULL,
 CONSTRAINT [PK_consumers] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[devices]    Script Date: 13.04.2021 19:38:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[devices](
	[sn] [nchar](10) NOT NULL,
	[created_at] [datetime] NULL,
	[last_connected] [datetime] NULL,
	[device_type] [nchar](12) NULL,
	[consumer_id] [nchar](10) NULL,
	[size_type] [nchar](10) NULL,
	[adapter_sn] [nchar](10) NULL,
	[reg_date] [datetime] NULL,
	[volume] [real] NULL,
	[work_volume] [real] NULL,
	[all_time] [int] NULL,
	[bad_time] [int] NULL,
	[verify_time] [int] NULL,
	[battery_time] [int] NULL,
	[correction] [real] NULL,
	[z] [real] NULL,
	[temperature] [real] NULL,
	[pressure] [int] NULL,
	[flow] [real] NULL,
	[date_time] [datetime] NULL,
	[time_zone] [int] NULL,
	[gas_day] [nchar](10) NULL,
	[pc] [real] NULL,
	[xa] [real] NULL,
	[xy] [real] NULL,
	[status] [bit] NOT NULL,
 CONSTRAINT [PK_devices] PRIMARY KEY CLUSTERED 
(
	[sn] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[day_archive]    Script Date: 13.04.2021 19:38:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[day_archive](
	[sn] [nchar](10) NOT NULL,
	[date_time] [datetime] NULL,
	[pressure] [float] NULL,
	[correction] [float] NULL,
	[volume] [float] NULL,
	[work_volume] [float] NULL,
	[temperature] [float] NULL,
	[max_flow] [float] NULL,
	[status] [bit] NOT NULL
) ON [PRIMARY]
GO
/****** Object:  View [dbo].[Arc_Day_View]    Script Date: 13.04.2021 19:38:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[Arc_Day_View]
AS
SELECT        RTRIM(dbo.consumers.legal_title) + ' -> ' + RTRIM(ISNULL(dbo.consumers.legal_address, N'')) + RTRIM(ISNULL(dbo.consumers.name, N'')) + RTRIM(ISNULL(dbo.consumers.address, N'')) 
                         + '-> dev.princ ' + dbo.devices.size_type AS full_name, dbo.devices.sn, ROUND(day_archive_1.volume - dbo.day_archive.volume, 3) AS volume, ROUND(day_archive_1.work_volume - dbo.day_archive.work_volume, 3) 
                         AS work_volume, dbo.day_archive.date_time AS day_arc, ROUND(day_archive_1.correction, 3) AS correction, day_archive_1.pressure, ROUND(day_archive_1.temperature, 3) AS temperature, ROUND(day_archive_1.volume, 3) 
                         AS meters
FROM            dbo.day_archive AS day_archive_1 INNER JOIN
                         dbo.day_archive ON day_archive_1.sn = dbo.day_archive.sn AND CONVERT(date, dbo.day_archive.date_time) = CONVERT(date, DATEADD(dd, - 1, day_archive_1.date_time)) RIGHT OUTER JOIN
                         dbo.devices ON day_archive_1.sn = dbo.devices.sn LEFT OUTER JOIN
                         dbo.consumers ON dbo.devices.consumer_id = dbo.consumers.id
GO
/****** Object:  Table [dbo].[event_archive]    Script Date: 13.04.2021 19:38:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[event_archive](
	[sn] [nchar](10) NULL,
	[date_time] [datetime] NULL,
	[_event] [nchar](100) NULL,
	[status] [bit] NOT NULL
) ON [PRIMARY]
GO
/****** Object:  View [dbo].[Arc_Event_View]    Script Date: 13.04.2021 19:38:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[Arc_Event_View]
AS
SELECT        RTRIM(dbo.consumers.legal_title) + ' -> ' + RTRIM(ISNULL(dbo.consumers.legal_address, N'')) + RTRIM(ISNULL(dbo.consumers.name, N'')) + RTRIM(ISNULL(dbo.consumers.address, N'')) 
                         + '-> dev.princ ' + dbo.devices.size_type AS full_name, dbo.devices.sn, dbo.event_archive._event, dbo.event_archive.date_time AS event_date
FROM            dbo.event_archive RIGHT OUTER JOIN
                         dbo.devices ON dbo.event_archive.sn = dbo.devices.sn LEFT OUTER JOIN
                         dbo.consumers ON dbo.devices.consumer_id = dbo.consumers.id
GO
/****** Object:  Table [dbo].[month_archive]    Script Date: 13.04.2021 19:38:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[month_archive](
	[sn] [nchar](10) NOT NULL,
	[date_time] [datetime] NULL,
	[volume] [float] NULL,
	[all_time] [nchar](20) NULL,
	[verify_time] [nchar](20) NULL,
	[status] [bit] NOT NULL
) ON [PRIMARY]
GO
/****** Object:  View [dbo].[Arc_Month_View]    Script Date: 13.04.2021 19:38:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[Arc_Month_View]
AS
SELECT        RTRIM(dbo.consumers.legal_title) + ' -> ' + RTRIM(ISNULL(dbo.consumers.legal_address, N'')) + RTRIM(ISNULL(dbo.consumers.name, N'')) + RTRIM(ISNULL(dbo.consumers.address, N'')) 
                         + '-> dev.princ ' + dbo.devices.size_type AS full_name, dbo.devices.sn, ROUND(month_archive_1.volume - dbo.month_archive.volume, 3) AS volume, month_archive_1.date_time AS mont_date
FROM            dbo.month_archive AS month_archive_1 INNER JOIN
                         dbo.month_archive ON month_archive_1.sn = dbo.month_archive.sn AND DATEADD(mm, - 1, month_archive_1.date_time) = dbo.month_archive.date_time RIGHT OUTER JOIN
                         dbo.devices ON month_archive_1.sn = dbo.devices.sn LEFT OUTER JOIN
                         dbo.consumers ON dbo.devices.consumer_id = dbo.consumers.id
GO
/****** Object:  Table [dbo].[adapters]    Script Date: 13.04.2021 19:38:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[adapters](
	[sn] [nchar](10) NOT NULL,
	[created_at] [datetime] NULL,
	[last_connected] [datetime] NULL,
	[adapter_type] [nchar](12) NULL,
	[sensor_sn] [nchar](10) NULL,
	[sensor_type] [nchar](10) NULL,
	[version] [int] NULL,
	[ip] [nchar](20) NULL,
	[port] [int] NULL,
	[sending_frequency] [int] NULL,
	[battery_time] [int] NULL,
	[voltage] [real] NULL,
	[date_time] [datetime] NULL,
	[status_updated_at] [nchar](20) NULL,
	[status] [nchar](20) NULL,
	[rssi] [int] NULL,
	[net_provider] [nchar](20) NULL,
	[stat] [bit] NOT NULL,
 CONSTRAINT [PK_adapters] PRIMARY KEY CLUSTERED 
(
	[sn] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  View [dbo].[UUG]    Script Date: 13.04.2021 19:38:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[UUG]
AS
SELECT        TOP (100) PERCENT dbo.consumers.id, dbo.consumers.is_legal, dbo.consumers.personal_account, dbo.consumers.legal_title, dbo.consumers.legal_address, dbo.consumers.inn, dbo.consumers.name, 
                         dbo.consumers.surname, dbo.consumers.address, dbo.consumers.apartment_number, dbo.consumers.phone, dbo.consumers.email, dbo.consumers.status, dbo.devices.sn, dbo.devices.created_at, dbo.devices.last_connected, 
                         dbo.devices.device_type, dbo.devices.size_type, dbo.devices.adapter_sn, dbo.devices.reg_date, dbo.devices.volume, dbo.devices.work_volume, dbo.devices.all_time, dbo.devices.verify_time, 
                         dbo.devices.battery_time AS Device_bat_time, dbo.devices.correction, dbo.devices.z, dbo.devices.temperature, dbo.devices.pressure, dbo.devices.flow, dbo.devices.date_time, dbo.devices.time_zone, dbo.devices.gas_day, 
                         dbo.adapters.version, dbo.adapters.ip, dbo.adapters.port, dbo.adapters.battery_time AS Adapter_bat_time, dbo.adapters.voltage, dbo.adapters.sending_frequency
FROM            dbo.consumers INNER JOIN
                         dbo.devices ON dbo.consumers.id = dbo.devices.consumer_id INNER JOIN
                         dbo.adapters ON dbo.devices.adapter_sn = dbo.adapters.sn
GO
/****** Object:  Table [dbo].[Users]    Script Date: 13.04.2021 19:38:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Users](
	[Id] [int] NOT NULL,
	[User_Name] [nvarchar](50) NULL,
	[User_Password] [nchar](10) NULL,
PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[adapters] ADD  CONSTRAINT [DF_adapters_stat]  DEFAULT ((1)) FOR [stat]
GO
ALTER TABLE [dbo].[consumers] ADD  CONSTRAINT [DF_Consumers_legal_title]  DEFAULT ('') FOR [legal_title]
GO
ALTER TABLE [dbo].[consumers] ADD  CONSTRAINT [DF_Consumers_legal_address]  DEFAULT ('') FOR [legal_address]
GO
ALTER TABLE [dbo].[consumers] ADD  CONSTRAINT [DF_Consumers_inn]  DEFAULT ('') FOR [inn]
GO
ALTER TABLE [dbo].[consumers] ADD  CONSTRAINT [DF_Consumers_name]  DEFAULT ('') FOR [name]
GO
ALTER TABLE [dbo].[consumers] ADD  CONSTRAINT [DF_Consumers_surname]  DEFAULT ('') FOR [surname]
GO
ALTER TABLE [dbo].[consumers] ADD  CONSTRAINT [DF_Consumers_address]  DEFAULT ('') FOR [address]
GO
ALTER TABLE [dbo].[consumers] ADD  CONSTRAINT [DF_Consumers_apartment_number]  DEFAULT ('') FOR [apartment_number]
GO
ALTER TABLE [dbo].[consumers] ADD  CONSTRAINT [DF_Consumers_phone]  DEFAULT ('') FOR [phone]
GO
ALTER TABLE [dbo].[consumers] ADD  CONSTRAINT [DF_Consumers_email]  DEFAULT ('') FOR [email]
GO
ALTER TABLE [dbo].[consumers] ADD  CONSTRAINT [DF_Consumers_status]  DEFAULT ((1)) FOR [status]
GO
ALTER TABLE [dbo].[day_archive] ADD  CONSTRAINT [DF_day_archive_status]  DEFAULT ((1)) FOR [status]
GO
ALTER TABLE [dbo].[devices] ADD  CONSTRAINT [DF_devices_sn]  DEFAULT ((0)) FOR [sn]
GO
ALTER TABLE [dbo].[devices] ADD  CONSTRAINT [DF_devices_status]  DEFAULT ((1)) FOR [status]
GO
ALTER TABLE [dbo].[event_archive] ADD  CONSTRAINT [DF_event_archive_status]  DEFAULT ((1)) FOR [status]
GO
ALTER TABLE [dbo].[month_archive] ADD  CONSTRAINT [DF_month_archive_status]  DEFAULT ((1)) FOR [status]
GO
ALTER TABLE [dbo].[Users] ADD  DEFAULT (user_name()) FOR [User_Name]
GO
ALTER TABLE [dbo].[Users] ADD  DEFAULT ((0)) FOR [User_Password]
GO
ALTER TABLE [dbo].[day_archive]  WITH CHECK ADD  CONSTRAINT [FK_day_archive_devices] FOREIGN KEY([sn])
REFERENCES [dbo].[devices] ([sn])
GO
ALTER TABLE [dbo].[day_archive] CHECK CONSTRAINT [FK_day_archive_devices]
GO
ALTER TABLE [dbo].[devices]  WITH CHECK ADD  CONSTRAINT [FK_devices_consumers] FOREIGN KEY([consumer_id])
REFERENCES [dbo].[consumers] ([id])
GO
ALTER TABLE [dbo].[devices] CHECK CONSTRAINT [FK_devices_consumers]
GO
ALTER TABLE [dbo].[event_archive]  WITH CHECK ADD  CONSTRAINT [FK_event_archive_devices] FOREIGN KEY([sn])
REFERENCES [dbo].[devices] ([sn])
GO
ALTER TABLE [dbo].[event_archive] CHECK CONSTRAINT [FK_event_archive_devices]
GO
ALTER TABLE [dbo].[month_archive]  WITH CHECK ADD  CONSTRAINT [FK_month_archive_devices] FOREIGN KEY([sn])
REFERENCES [dbo].[devices] ([sn])
GO
ALTER TABLE [dbo].[month_archive] CHECK CONSTRAINT [FK_month_archive_devices]
GO
/****** Object:  StoredProcedure [dbo].[InsJsonArcDay_NOTEXISTS]    Script Date: 13.04.2021 19:38:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[InsJsonArcDay_NOTEXISTS]
	-- Add the parameters for the stored procedure here
	@JSONstring NVARCHAR(MAX), @sn NCHAR(10)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here

DECLARE @Return_result int;
SET @Return_result=0;

DECLARE @date_time datetime;
SET @date_time=CONVERT(datetime,JSON_VALUE(@JSONstring,'$.date_time'),104);

DECLARE @pressure real;
SET @pressure=JSON_VALUE(@JSONstring,'$.pressure');

DECLARE @correction real;
SET @correction=JSON_VALUE(@JSONstring,'$.correction');

DECLARE @volume real;
SET @volume=JSON_VALUE(@JSONstring,'$.volume');

DECLARE @work_volume real;
SET @work_volume=JSON_VALUE(@JSONstring,'$.work_volume');

DECLARE @temperature real;
SET @temperature=JSON_VALUE(@JSONstring,'$.temperature');

DECLARE @max_flow real;
SET @max_flow=JSON_VALUE(@JSONstring,'$.max_flow');

  BEGIN
     IF NOT EXISTS (SELECT * FROM [dbo].[day_archive] 
                   WHERE [sn] = @sn
                   AND [date_time] = @date_time)
  BEGIN
  INSERT INTO [dbo].[day_archive] 
           ([sn]
           ,[date_time]
           ,[pressure]
           ,[correction]
           ,[volume]
           ,[work_volume]
           ,[temperature]
           ,[max_flow])
    VALUES 
	       (@sn,
		   @date_time,
		   @pressure,
		   @correction,
           @volume,
           @work_volume,
           @temperature,
           @max_flow);
		   SET @Return_result=1;
END
END
SELECT @Return_result AS RETURNVAL;
END

GO
/****** Object:  StoredProcedure [dbo].[InsJsonArcEvent_NOTEXISTS]    Script Date: 13.04.2021 19:38:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[InsJsonArcEvent_NOTEXISTS]
	-- Add the parameters for the stored procedure here
	@JSONstring NVARCHAR(MAX), @sn NCHAR(10)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here

DECLARE @Return_result int;
SET @Return_result=0;

DECLARE @date_time datetime;
SET @date_time=CONVERT(datetime,JSON_VALUE(@JSONstring,'$.date_time'),104);

DECLARE @_event NCHAR(100);
SET @_event=JSON_VALUE(@JSONstring,'$._event');
  
  BEGIN
     IF NOT EXISTS (SELECT * FROM [dbo].[event_archive] 
                   WHERE [sn] = @sn
                   AND [date_time] = @date_time)
  BEGIN
  INSERT INTO [dbo].[event_archive] 
           ([sn]
			,[date_time]
			,[_event])
    VALUES 
	       (@sn,
		   @date_time,
           @_event);
		   SET @Return_result=1;
END
END
SELECT @Return_result AS RETURNVAL;
END
GO
/****** Object:  StoredProcedure [dbo].[InsJsonArcMonth_NOTEXISTS]    Script Date: 13.04.2021 19:38:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[InsJsonArcMonth_NOTEXISTS]
	-- Add the parameters for the stored procedure here
	@JSONstring NVARCHAR(MAX), @sn NCHAR(10)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here

DECLARE @Return_result int;
SET @Return_result=0;

DECLARE @date_time datetime;
SET @date_time=CONVERT(datetime,JSON_VALUE(@JSONstring,'$.date_time'),104);

DECLARE @volume real;
SET @volume=JSON_VALUE(@JSONstring,'$.volume');

DECLARE @all_time NCHAR(20);
SET @all_time=JSON_VALUE(@JSONstring,'$.all_time');

DECLARE @verify_time NCHAR(20);
SET @verify_time=JSON_VALUE(@JSONstring,'$.verify_time');

  BEGIN
     IF NOT EXISTS (SELECT * FROM [dbo].[month_archive] 
                   WHERE [sn] = @sn
                   AND [date_time] = @date_time)
  BEGIN
  INSERT INTO [dbo].[month_archive] 
           ([sn]
			,[date_time]
			,[volume]
			,[all_time]
			,[verify_time])
    VALUES 
	       (@sn,
		   @date_time,
           @volume,
           @all_time,
           @verify_time);
		   SET @Return_result=1;
END
END
SELECT @Return_result AS RETURNVAL;
END

GO
/****** Object:  StoredProcedure [dbo].[RecordAdapters]    Script Date: 13.04.2021 19:38:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[RecordAdapters]
	-- Add the parameters for the stored procedure here
	@JSONstring NVARCHAR(MAX)
	AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here
DECLARE @Return_result int;
SET @Return_result=0;

DECLARE @SN nchar(10);
SET @SN=JSON_VALUE(@JSONstring,'$.sn');

DECLARE @created_at datetime;
SET @created_at=CONVERT(datetime,JSON_VALUE(@JSONstring,'$.created_at'),104);

DECLARE @last_connected datetime;
SET @last_connected=CONVERT(datetime,JSON_VALUE(@JSONstring,'$.last_connected'),104);

DECLARE @adapter_type nchar(12);
SET @adapter_type=JSON_VALUE(@JSONstring,'$.adapter_type');

DECLARE @sensor_sn nchar(10);
SET @sensor_sn=JSON_VALUE(@JSONstring,'$.sensor_sn');

DECLARE @sensor_type nchar(10);
SET @sensor_type=JSON_VALUE(@JSONstring,'$.sensor_type');

DECLARE @version int;
SET @version=JSON_VALUE(@JSONstring,'$.version');

DECLARE @ip nchar(20);
SET @ip=JSON_VALUE(@JSONstring,'$.ip');

DECLARE @port int;
SET @port=JSON_VALUE(@JSONstring,'$.port');

DECLARE @sending_frequency int;
SET @sending_frequency=JSON_VALUE(@JSONstring,'$.sending_frequency');

DECLARE @battery_time int;
SET @battery_time=JSON_VALUE(@JSONstring,'$.battery_time');

DECLARE @voltage real;
SET @voltage=JSON_VALUE(@JSONstring,'$.voltage');

DECLARE @date_time datetime;
SET @date_time=CONVERT(datetime,JSON_VALUE(@JSONstring,'$.date_time'),104);

DECLARE @status_updated_at nchar(20);
SET @status_updated_at=JSON_VALUE(@JSONstring,'$.status_updated_at');

DECLARE @status nchar(20);
SET @status=JSON_VALUE(@JSONstring,'$.status');

DECLARE @rssi int;
SET @rssi=JSON_VALUE(@JSONstring,'$.rssi');

DECLARE @net_provider nchar(20);
SET @net_provider=JSON_VALUE(@JSONstring,'$.net_provider');


BEGIN

  IF NOT EXISTS (SELECT * FROM [dbo].[adapters] 
                   WHERE [sn] = @sn)
	BEGIN
	  INSERT INTO [dbo].[adapters]  
		([sn],
		[created_at],
		[last_connected],
		[adapter_type],
		[sensor_sn],
		[sensor_type],
		[version],
		[ip],
		[port],
		[sending_frequency],
		[battery_time],
		[voltage],
		[date_time],
		[status_updated_at],
		[status],
		[rssi],
		[net_provider])
	VALUES (@sn,
		@created_at,
		@last_connected,
		@adapter_type,
		@sensor_sn,
		@sensor_type,
		@version,
		@ip,
		@port,
		@sending_frequency,
		@battery_time,
		@voltage,
		@date_time,
		@status_updated_at,
		@status,
		@rssi,
		@net_provider
		);
	SET @Return_result=1;
	END
  ELSE
	BEGIN
		IF NOT EXISTS (SELECT * FROM [dbo].[adapters] 
        WHERE [date_time] = @date_time AND [sn] = @sn)
		BEGIN
			UPDATE [dbo].[adapters]
			SET 
			[sn] = @sn,
			[created_at] = @created_at,
			[last_connected] = @last_connected,
			[adapter_type] = @adapter_type,
			[sensor_sn] = @sensor_sn,
			[sensor_type] = @sensor_type,
			[version] = @version,
			[ip] = @ip,
			[port] = @port,
			[sending_frequency] = @sending_frequency,
			[battery_time] = @battery_time,
			[voltage] = @voltage,
			[date_time] = @date_time,
			[status_updated_at] = @status_updated_at,
			[status] = @status,
			[rssi] = @rssi,
			[net_provider] = @net_provider
 			WHERE sn = @SN;
			SET @Return_result=2;
	END
	END
END
SELECT @Return_result AS RETURNVAL;
END
GO
/****** Object:  StoredProcedure [dbo].[RecordConsumer]    Script Date: 13.04.2021 19:38:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[RecordConsumer]
	-- Add the parameters for the stored procedure here
	@JSONstring NVARCHAR(MAX)
	AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here

	DECLARE @Return_result int;
	SET @Return_result=0;

	DECLARE @id nchar(10);
	SET @id=JSON_VALUE(@JSONstring,'$.id');

	DECLARE @is_legal bit;
	SET @is_legal=JSON_VALUE(@JSONstring,'$.is_legal');

	DECLARE @personal_account nchar(15);
	SET @personal_account=JSON_VALUE(@JSONstring,'$.personal_account');

	DECLARE @legal_title nchar(50);
	SET @legal_title=JSON_VALUE(@JSONstring,'$.legal_title');

	DECLARE @legal_address nchar(120);
	SET @legal_address=JSON_VALUE(@JSONstring,'$.legal_address');

	DECLARE @inn nchar(10);
	SET @inn=JSON_VALUE(@JSONstring,'$.inn');

	DECLARE @name nchar(50);
	SET @name=JSON_VALUE(@JSONstring,'$.name');

	DECLARE @surname nchar(30);
	SET @surname=JSON_VALUE(@JSONstring,'$.surname');

	DECLARE @address nchar(120);
	SET @address=JSON_VALUE(@JSONstring,'$.address');

	DECLARE @apartment_number nchar(10);
	SET @apartment_number=JSON_VALUE(@JSONstring,'$.apartment_number');

	DECLARE @phone nchar(50);
	SET @phone=JSON_VALUE(@JSONstring,'$.phone');

	DECLARE @email nchar(50);
	SET @email=JSON_VALUE(@JSONstring,'$.email');

	DECLARE @date_time datetime;
	SET @date_time=CONVERT(datetime,JSON_VALUE(@JSONstring,'$.date_time'),104);

BEGIN

  IF NOT EXISTS (SELECT * FROM [dbo].[consumers] 
                   WHERE [id] = @id)
	BEGIN
    -- Insert statements for procedure here
INSERT INTO [dbo].[consumers]
           ([id]
           ,[is_legal]
           ,[personal_account]
           ,[legal_title]
           ,[legal_address]
           ,[inn]
           ,[name]
           ,[surname]
           ,[address]
           ,[apartment_number]
           ,[phone]
           ,[email]
		   ,[date_time])
     VALUES
           (@id
           ,@is_legal
           ,@personal_account
           ,@legal_title
           ,@legal_address
           ,@inn
           ,@name
           ,@surname
           ,@address
           ,@apartment_number
           ,@phone
           ,@email
		   ,@date_time);
		   SET @Return_result=1;
	END

  ELSE
	BEGIN
		IF EXISTS (SELECT * FROM [dbo].[consumers] 
        WHERE [date_time] = @date_time AND [id] = @id)
		BEGIN
			UPDATE [dbo].[consumers]
			SET
			[id] = @id
           ,[is_legal] = @is_legal
           ,[personal_account] = @personal_account
           ,[legal_title] = @legal_title
           ,[legal_address] = @legal_address
           ,[inn] = @inn
           ,[name] = @name
           ,[surname] = @surname
           ,[address] = @address
           ,[apartment_number] = @apartment_number
           ,[phone] = @phone
           ,[email] = @email
		   ,[date_time] = @date_time
 			WHERE [id]= @id;
			SET @Return_result=2;
	END
	END
END
SELECT @Return_result AS RETURNVAL;
END
GO
/****** Object:  StoredProcedure [dbo].[RecordDevice]    Script Date: 13.04.2021 19:38:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[RecordDevice]
	-- Add the parameters for the stored procedure here
	@JSONstring NVARCHAR(MAX)
	AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here

DECLARE @Return_result int;
SET @Return_result=0;

DECLARE @SN nchar(10);
SET @SN=JSON_VALUE(@JSONstring,'$.sn');

DECLARE @created_at datetime;
SET @created_at=CONVERT(datetime,JSON_VALUE(@JSONstring,'$.created_at'),104);

DECLARE @last_connected datetime;
SET @last_connected=CONVERT(datetime,JSON_VALUE(@JSONstring,'$.last_connected'),104);

DECLARE @device_type nchar(10);
SET @device_type=JSON_VALUE(@JSONstring,'$.device_type');

DECLARE @consumer_id nchar(10);
SET @consumer_id=JSON_VALUE(@JSONstring,'$.consumer_id');

DECLARE @size_type nchar(10);
SET @size_type=JSON_VALUE(@JSONstring,'$.size_type');

DECLARE @adapter_sn nchar(10);
SET @adapter_sn=JSON_VALUE(@JSONstring,'$.adapter_sn');

DECLARE @reg_date datetime;
SET @reg_date=CONVERT(datetime,JSON_VALUE(@JSONstring,'$.reg_date'),104);

DECLARE @volume real;
SET @volume=JSON_VALUE(@JSONstring,'$.volume');

DECLARE @work_volume real;
SET @work_volume=JSON_VALUE(@JSONstring,'$.work_volume');

DECLARE @all_time int;
SET @all_time=JSON_VALUE(@JSONstring,'$.all_time');

DECLARE @bad_time int;
SET @bad_time=JSON_VALUE(@JSONstring,'$.bad_time');

DECLARE @verify_time int;
SET @verify_time=JSON_VALUE(@JSONstring,'$.verify_time');

DECLARE @battery_time int;
SET @battery_time=JSON_VALUE(@JSONstring,'$.battery_time');

DECLARE @correction real;
SET @correction=JSON_VALUE(@JSONstring,'$.correction');

DECLARE @z real;
SET @z=JSON_VALUE(@JSONstring,'$.z');

DECLARE @temperature real;
SET @temperature=JSON_VALUE(@JSONstring,'$.temperature');

DECLARE @pressure int;
SET @pressure=JSON_VALUE(@JSONstring,'$.pressure');

DECLARE @flow real;
SET @flow=JSON_VALUE(@JSONstring,'$.flow');

DECLARE @date_time datetime;
SET @date_time=CONVERT(datetime,JSON_VALUE(@JSONstring,'$.date_time'),104);

DECLARE @time_zone int;
SET @time_zone=JSON_VALUE(@JSONstring,'$.time_zone');

DECLARE @gas_day nchar(10);
SET @gas_day=JSON_VALUE(@JSONstring,'$.gas_day');

DECLARE @pc real;
SET @pc=JSON_VALUE(@JSONstring,'$.pc');

DECLARE @xa real;
SET @xa=JSON_VALUE(@JSONstring,'$.xa');

DECLARE @xy real;
SET @xy=JSON_VALUE(@JSONstring,'$.xy');

BEGIN

  IF NOT EXISTS (SELECT * FROM [dbo].[devices] 
                   WHERE [sn] = @sn)
	BEGIN
		INSERT INTO [dbo].[devices]  
		([sn],[created_at],[last_connected],[device_type],[consumer_id],[size_type],[adapter_sn],[reg_date],[volume],[work_volume],[all_time],[bad_time],[verify_time],[battery_time],[correction],[z],[temperature],[pressure],[flow],[date_time],[time_zone],[gas_day],[pc],[xa],[xy])
		VALUES (@sn,@created_at,@last_connected,@device_type,@consumer_id,@size_type,@adapter_sn,@reg_date,@volume,@work_volume,@all_time,@bad_time,@verify_time,@battery_time,@correction,@z,@temperature,@pressure,@flow,@date_time,@time_zone,@gas_day,@pc,@xa,@xy);
		SET @Return_result=1;
	END

  ELSE
	BEGIN
		IF NOT EXISTS (SELECT * FROM [dbo].[devices] 
        WHERE [date_time] = @date_time AND [sn] = @sn)
		BEGIN
			UPDATE [dbo].[devices]
			SET [created_at]=@created_at,
			[last_connected] = @last_connected,
			[consumer_id]= @consumer_id,
			[adapter_sn] = @adapter_sn,
			[reg_date] = @reg_date,
			[volume] = @volume,
			[work_volume] = @work_volume,
			[all_time] = @all_time,
			[bad_time] = @bad_time,
			[verify_time] = @verify_time,
			[battery_time] = @battery_time,
			[correction] = @correction,
			[z] = @z,
			[temperature] = @temperature,
			[pressure] = @pressure,
			[flow] = @flow,
			[date_time] = @date_time,
			[time_zone] =@time_zone,
			[gas_day] = @gas_day,
			[pc] = @pc,
			[xa] = @xa,
			[xy] = @xy
 			WHERE sn = @SN;
			SET @Return_result=2;
	END
	END
END
SELECT @Return_result AS RETURNVAL;
END
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[30] 4[32] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "day_archive_1"
            Begin Extent = 
               Top = 20
               Left = 540
               Bottom = 150
               Right = 714
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "day_archive"
            Begin Extent = 
               Top = 104
               Left = 912
               Bottom = 234
               Right = 1086
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "devices"
            Begin Extent = 
               Top = 6
               Left = 267
               Bottom = 136
               Right = 441
            End
            DisplayFlags = 280
            TopColumn = 3
         End
         Begin Table = "consumers"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 136
               Right = 229
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 6645
         Alias = 2355
         Table = 3150
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'Arc_Day_View'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'Arc_Day_View'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = -1373
      End
      Begin Tables = 
         Begin Table = "event_archive"
            Begin Extent = 
               Top = 6
               Left = 479
               Bottom = 136
               Right = 653
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "devices"
            Begin Extent = 
               Top = 6
               Left = 267
               Bottom = 136
               Right = 441
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "consumers"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 136
               Right = 229
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 1380
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'Arc_Event_View'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'Arc_Event_View'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "month_archive_1"
            Begin Extent = 
               Top = 6
               Left = 479
               Bottom = 136
               Right = 653
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "devices"
            Begin Extent = 
               Top = 6
               Left = 267
               Bottom = 136
               Right = 441
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "consumers"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 136
               Right = 229
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "month_archive"
            Begin Extent = 
               Top = 92
               Left = 918
               Bottom = 222
               Right = 1092
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 6030
         Alias = 1470
         Table = 3735
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'Arc_Month_View'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'Arc_Month_View'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[41] 4[20] 2[21] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "consumers"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 209
               Right = 229
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "devices"
            Begin Extent = 
               Top = 6
               Left = 267
               Bottom = 206
               Right = 509
            End
            DisplayFlags = 280
            TopColumn = 2
         End
         Begin Table = "adapters"
            Begin Extent = 
               Top = 14
               Left = 632
               Bottom = 144
               Right = 821
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 3060
         Alias = 1230
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'UUG'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'UUG'
GO

/****** Object:       Script Date: 02.02.2021 1:20:18 ******/
INSERT INTO [dbo].[Users]
           ([Id]
           ,[User_Name]
           ,[User_Password])
     VALUES
           (1
           ,'user1'
           ,'11111')
GO